Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 84191 - incorrect mailspool directories causes exposure
Summary: incorrect mailspool directories causes exposure
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: shadow-utils
Version: 2.1
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact: David Lawrence
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-02-13 09:33 UTC by Mark J. Cox
Modified: 2007-11-30 22:06 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-02-25 14:59:03 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2003:058 normal SHIPPED_LIVE Moderate: shadow-utils security update 2003-02-12 05:00:00 UTC

Description Mark J. Cox 2003-02-13 09:33:45 UTC
When creating a user account, the version of useradd included in Red Hat
packages creates a mail spool file with incorrectly-set group ownership. Instead
of setting the file's group ownership to the "mail" group, it is set to the
user's primary group.

On systems where other users share the same primary group, this would allow
those users to be able to read and write other user mailboxes.

These erratum packages contain an updated patch to useradd. Where a 'mail'
group exists, mailboxes will be created with group mail having read and
write permissions. Otherwise the mailbox will be created without group
read and write permissions.

This is bug #59810 for base Red Hat Linux

Comment 1 Mark J. Cox 2003-02-25 14:59:03 UTC
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2003-058.html



Note You need to log in before you can comment on or make changes to this bug.